package ru.yandex.qe.dispenser.domain.hierarchy;

import java.util.function.Supplier;

import org.jetbrains.annotations.TestOnly;

public interface HierarchySupplier extends Supplier<Hierarchy> {
    default void update() {
    }

    @TestOnly
    default void reset() {
    }

    default void renewThreadHierarchy() {
        Session.HIERARCHY.set(get());
    }
}
